﻿#include "QAlerDialog.h"

#include "QAlerDialog.h"

#include <QPushButton>
#include <QToolButton>
#include <QLabel>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QSizePolicy>
#include <QFile>
#include <QGraphicsDropShadowEffect>

#pragma execution_character_set("utf-8")

QAlerDialog::QAlerDialog(QWidget *parent) : QDialog(parent)
{  
    QFile file(":/stylesheet/style_alert.qss");
    if (file.open(QFile::ReadOnly)) {
        this->setStyleSheet(tr(file.readAll()));
        file.close();
    }

    this->setWindowFlags(Qt::FramelessWindowHint);
    this->setAttribute(Qt::WA_TranslucentBackground);
    btCancel = new QPushButton("取消", this);
    btConfirm = new QPushButton("我知道了");
    labelContent = new QLabel(this);

    QHBoxLayout *topHLayout = new QHBoxLayout();
    QToolButton *btClose = new QToolButton();
    btClose->setFixedSize(20, 20);
    btClose->setObjectName("bt_dialog_close");
    QToolButton *btMin = new QToolButton();
    btMin->setFixedSize(20, 20);
    btMin->setObjectName("bt_dialog_min");
    topHLayout->addStretch();
    topHLayout->addWidget(btMin);
    topHLayout->addWidget(btClose);

    QHBoxLayout *hlayout = new QHBoxLayout();
    hlayout->addStretch();
    hlayout->addWidget(btCancel);
    hlayout->addWidget(btConfirm);

    QVBoxLayout *vlayout = new QVBoxLayout();
    vlayout->addLayout(topHLayout);
    vlayout->addWidget(labelContent);
    //    vlayout->setMargin(20);
    //    vlayout->addSpacing(20);
    vlayout->addLayout(hlayout);

    QWidget *container = new QWidget(this);
    container->setMinimumSize(420, 170);
    container->setObjectName("gray_border");
    container->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding);

    labelContent->setObjectName("white");
    btConfirm->setObjectName("bt_dialog_blue");
    btConfirm->setMinimumHeight(32);
    btConfirm->setMinimumWidth(80);
    btCancel->setStyleSheet("border:0px;");

    container->setLayout(vlayout);

    //connect(btMin, &QToolButton::clicked, this, &QToolButton::showMinimized);
    connect(btClose, &QToolButton::clicked, this, &QToolButton::close);
    connect(btConfirm, &QPushButton::clicked, this, &QToolButton::close);
}

QAlerDialog::~QAlerDialog() {
    delete btConfirm;
    delete btCancel;
    delete labelContent;
}

int QAlerDialog::showAlert(DialogType type, QString msg) {
    QAlerDialog dialog;
    switch (type) {
    case QAlerDialog::TYPE_TIPS:
        dialog.btCancel->setVisible(false);
        dialog.labelContent->setText(msg);
        break;
    case QAlerDialog::TYPE_TEXT_EDIT:
        break;
    case QAlerDialog::TYPE_TEXT_EDIT_LIST:
        break;
    }

    return dialog.exec();
}
