﻿#include "LoginWindow.h"

#include <QApplication>
#include <QDir>

#if defined(Q_OS_UNIX) && !defined(MIPS64EL) && !defined(LOONGARCH64)
#include "client/linux/handler/exception_handler.h"

void crashTest() { volatile int* a = (int*)(NULL); *a = 1; }

static bool dumpCallback(const google_breakpad::MinidumpDescriptor& des, void* context, bool successed)
{
    QString path = "dump path: " + QString(des.path());
    NemoSdkAdaptor::getInstance()->log(path);
    return successed;
}
#endif

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    qDebug()<<"current applicationDirPath: "<<QCoreApplication::applicationDirPath();
    qDebug()<<"current currentPath: "<<QDir::currentPath();

#if defined(Q_OS_UNIX) && !defined(MIPS64EL) && !defined(LOONGARCH64)
    QString dir_str = "./log";
    QDir dir;
    if (!dir.exists(dir_str))
    {
        bool res = dir.mkpath(dir_str);
        qDebug() << "create log folder success" << res;
    }
    google_breakpad::MinidumpDescriptor descriptor(dir_str.toStdString());
    google_breakpad::ExceptionHandler eh(descriptor, NULL, dumpCallback, NULL, true, -1);
#endif

    LoginWindow dialog;
    dialog.setWindowFlags(Qt::FramelessWindowHint);
    dialog.show();
    return a.exec();
}
