﻿#ifndef FRAMELAYOUT_H
#define FRAMELAYOUT_H

#include <QLayout>
#include <QRect>
#include <QStyle>

class FrameLayout : public QLayout
{
public:
    explicit FrameLayout(QWidget *parent, int margin = -1, int hSpacing = -1, int vSpacing = -1);
    explicit FrameLayout(int margin = -1, int hSpacing = -1, int vSpacing = -1);
    ~FrameLayout();

    void addItem(QLayoutItem *item) override;
    int count() const override;
    QLayoutItem *itemAt(int index) const override;
    void setGeometry(const QRect &rect) override;
    QSize sizeHint() const override;
    QLayoutItem *takeAt(int index) override;
    QSize minimumSize() const override;

private:
    int smartSpacing(QStyle::PixelMetric pm) const;

    QList<QLayoutItem *> itemList;
    int m_hSpace;
    int m_vSpace;
};

#endif // FRAMELAYOUT_H
