﻿#ifndef MEETINGNOTIFYWIDGET_H
#define MEETINGNOTIFYWIDGET_H

#include <QWidget>

namespace Ui {
	class MeetingNotifyWidget;
}

class MeetingNotifyWidget : public QWidget
{
	Q_OBJECT

public:
	explicit MeetingNotifyWidget(QWidget *parent = nullptr);
	~MeetingNotifyWidget();

public:
	enum NotifyMode { Zimu, VideoState, NextPage, PrePage, OutIn, Chairman };
	enum Position { Top, Center, Bottom };
	void onNotificationChanged(NotifyMode mode, bool visiable = false, const QString& tips = "");
	void showZimu(const QString& content, const QString& color,
		const QString& fontColor = "#ffffffff",
		Position position = Top, bool isScroll = false);
	void showOut(const QString& outName); // xx离开会议
    void showIn(const QString& inName); // xx加入会议

signals:
	void sigNextPageClicked();
	void sigPrePageClicked();
	/**/

private:
	Ui::MeetingNotifyWidget *ui;
};

#endif // MEETINGNOTIFYWIDGET_H
