﻿#include "MeetingStateWidget.h"
#include "ui_meetingstatewidget.h"

#include <QDebug>
#include <QFile>

MeetingStateWidget::MeetingStateWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::MeetingStateWidget),
    _isFirstTips(true)
{
    ui->setupUi(this);

	//    QFile file(":/stylesheet/style_meeting_state.qss");
	//    bool result = file.open(QFile::ReadOnly);
	//    this->setStyleSheet(tr(file.readAll()));
	//    file.close();
	ui->bt_outgoing_drop->setStyleSheet("QPushButton{border-image: url(:/res/meeting/incoming_refuse_normal.png);}");
	ui->page_incoming->setStyleSheet("QWidget{border: none;background-color: #FF0F121A;}");
	ui->label_incoming->setStyleSheet("QLabel {border: none;border-image: url(:/res/meeting/cloud_big.png);}");
	ui->tv_invite_name->setStyleSheet("QLabel {color: rgb(255, 255, 255);font: 14px Microsoft YaHei;}");
	ui->tv_outgoing_name->setStyleSheet("QLabel {color: rgb(255, 255, 255);font: 14px Microsoft YaHei;}");
	ui->iv_outgoing_call->setStyleSheet("QLabel {border-image: url(:/res/meeting/cloud_big.png);}");
	ui->bt_invite_accept->setStyleSheet("QPushButton{border-image: url(:/res/meeting/incoming_accept_normal.png);}");
	ui->bt_invite_drop->setStyleSheet("QPushButton{border-image: url(:/res/meeting/incoming_refuse_normal.png);}");
	ui->page_tips->setStyleSheet("QWidget{border: none;background-color: #FF0F121A;}");
	ui->tv_toast_tips->setStyleSheet("QLabel {color: rgb(255, 255, 255);background-color: rgb(0, 0, 0);border-radius: 3px;padding: 2px 4px;font: 12px Microsoft YaHei;}");
	ui->tv_pwd_conent->setStyleSheet("QLabel {color: white;font: 12px Microsoft YaHei;}");
	ui->page_passwprod->setStyleSheet("QWidget{border: none;background-color: rgb(15, 18, 26);}");
        ui->et_password->setStyleSheet("QLineEdit {border: 1px solid rgb(255, 255, 255);border-radius: 3px;padding: 2px 4px;font: 12px Microsoft YaHei;color: white;}");
	ui->tv_password_tips->setStyleSheet("QLabel{ border: 1px solid rgb(0, 0, 0);border-radius: 3px;background: rgb(0, 0, 0);font: 12px Microsoft YaHei;color: white;}");
	ui->bt_password_confirm->setStyleSheet("QPushButton{border: 1px solid #44b5ff;border-radius: 3px;background: #44b5ff;font: 12px Microsoft YaHei;color: white; }");

    ui->bt_password_confirm->raise();

    ui->tv_password_tips->setVisible(false);
    ui->et_password->setText("");
    ui->bt_password_confirm->setVisible(true);

    connect(ui->bt_invite_drop, &QPushButton::clicked, this, &MeetingStateWidget::sigInviateRefuse);
    connect(ui->bt_outgoing_drop, &QPushButton::clicked, this, &MeetingStateWidget::sigOutgoingHangup);
    connect(ui->bt_invite_accept, &QPushButton::clicked, this, &MeetingStateWidget::sigInviateAccept);
    connect(ui->bt_password_confirm, &QPushButton::clicked, this, &MeetingStateWidget::onPasswordConfim);
    connect(ui->et_password, &QLineEdit::textChanged, this, &MeetingStateWidget::onEtPasswordChanged);
}

MeetingStateWidget::~MeetingStateWidget()
{
    delete ui;
}

void MeetingStateWidget::onEtPasswordChanged(const QString &arg1)
{
    ui->bt_password_confirm->setEnabled(arg1.length() == 6);
    if (arg1.length() > 0) {
        ui->tv_password_tips->setVisible(false);
        ui->bt_password_confirm->setVisible(true);
    }
}

void MeetingStateWidget::setMeetingState(MeetingStateWidget::MeetingState state)
{
    ui->stackedWidget->setCurrentIndex(state);
    if (state == Password) {
        ui->et_password->setText("");
        ui->bt_password_confirm->setEnabled(false);
        ui->tv_password_tips->setVisible(!_isFirstTips);
        ui->bt_password_confirm->setVisible(_isFirstTips);
        _isFirstTips = false;
    }
}

void MeetingStateWidget::showTips(const QString &tips)
{
    ui->tv_toast_tips->setText(tips);
}

void MeetingStateWidget::onPasswordConfim()
{
    sigPasswordConfirm(ui->et_password->text());
}
