﻿#ifndef MEETINGSTATEWIDGET_H
#define MEETINGSTATEWIDGET_H

#include <QWidget>
#include "BaseWidget.h"

namespace Ui {
class MeetingStateWidget;
}

class MeetingStateWidget : public QWidget
{
    Q_OBJECT

public: 
    explicit MeetingStateWidget(QWidget *parent = nullptr);
    ~MeetingStateWidget();

    enum MeetingState { Outgoing, Incoming, Tips, Password, NONE };
    void setMeetingState(MeetingState state);
    void showTips(const QString& tips);
    void showIncomingCall();
    void showOutgoingCall();
    void showPasswordError();

signals:
    void sigOutgoingHangup();
    void sigInviateAccept();
    void sigInviateRefuse();
    void sigPasswordConfirm(const QString& password);

private slots:
    void onEtPasswordChanged(const QString &arg1);
    void onPasswordConfim();

private:
    Ui::MeetingStateWidget *ui;
    bool _isFirstTips;
};

#endif // MEETINGSTATEWIDGET_H
