﻿#ifndef VIDEOCELL_H
#define VIDEOCELL_H

#include "NemoSdkAdaptor.h"
#include "CellState.h"
#include "OpenGLDisplay.h"

#include <QHBoxLayout>
#include <QLabel>
#include <QWidget>
#include <QDebug>

class VideoCell : public QWidget
{
    Q_OBJECT

public:
    explicit VideoCell(QWidget *parent = nullptr);
    ~VideoCell();

    void setVidoeInfo(SDKVideoStreamInfo info, bool showSmallState = true);
    SDKVideoStreamInfo getVideoInfo() const;
    OpenGLDisplay* getDisplay()const;

    void resizeEvent(QResizeEvent *event) override;

    void setLocalAudioMute(bool mute);

private:
    OpenGLDisplay* display;
    CellState* state;
    QLabel* displayName;
    QLabel* audioState;
    SDKVideoStreamInfo videoInfo;

};

#endif // VIDEOCELL_H
