﻿#include "info_show.h"
#include "ui_info_show.h"
#include <QHBoxLayout>
#include <QPainter>
#include <QFile>
#include <QGraphicsDropShadowEffect>
#include <QClipboard>
#include <QPainterPath>

#define SHADOW_WIDTH 15                 
#define TRIANGLE_WIDTH 15             
#define TRIANGLE_HEIGHT 10             
#define BORDER_RADIUS 5                
#pragma execution_character_set("utf-8")
info_show::info_show(QWidget *parent) :
    QWidget(parent)
    ,ui(new Ui::info_show)
	, m_startX(50)
	, m_triangleWidth(TRIANGLE_WIDTH)
	, m_triangleHeight(TRIANGLE_HEIGHT)
{

	ui->setupUi(this);
	this->hide();
	QString thestyleSheet = ":/";
	thestyleSheet += "stylesheet/style_Info.qss";
	QFile file(thestyleSheet);
	bool result = file.open(QFile::ReadOnly);
	this->setStyleSheet(tr(file.readAll()));
	file.close();


  
	setWindowFlags(Qt::FramelessWindowHint);
	setAttribute(Qt::WA_TranslucentBackground);

	
	auto shadowEffect = new QGraphicsDropShadowEffect(this);
	shadowEffect->setOffset(0, 0);
	shadowEffect->setColor(Qt::gray);
	shadowEffect->setBlurRadius(SHADOW_WIDTH);
	this->setGraphicsEffect(shadowEffect);

	setFixedSize(150, 200);

	timer = new QTimer(this);
	connect(timer, &QTimer::timeout, this, &info_show::onTimerEvent);
	timer->setSingleShot(true);
	timer->start(10);
}
void info_show::onTimerEvent() {
	QString str;
	if (_password.size())
	{
		ui->pushButton_CopyNum_2->setVisible(false);

		str = this->_displayName;
		ui->label_MeetingDisplay->setText(str);

		str = this->_meetingNum;
		ui->label_MeetingNumInfo->setText(str);
		
		str = this->_password;
		ui->label_CodenumInfo->setText(str);
		

		str = this->_shareUrl;
		ui->label_MeetingLinkInfo->setText(str);
		
		this->show();
	}
	else
	{
		str = this->_displayName;
		ui->label_MeetingDisplay->setText(str);

		ui->label_MeetingNum->setVisible(false);
		ui->label_MeetingNumInfo->setVisible(false);
		ui->pushButton_CopyNum->setVisible(false);

		ui->label_Codenum->setText("会议号:");

		str = this->_meetingNum;
		ui->label_CodenumInfo->setText(str);

		str = this->_shareUrl;
		ui->label_MeetingLinkInfo->setText(str);
		
		this->show();
	}
}
info_show::~info_show()
{
    delete ui;
}


void info_show::setStartPos(int startX)
{
	m_startX = startX;
}

void info_show::setTriangleInfo(int width, int height)
{
	m_triangleWidth = width;
	m_triangleHeight = height;
}


void info_show::paintEvent(QPaintEvent *)
{
	QPainter painter(this);
	painter.setRenderHint(QPainter::Antialiasing, true);
	painter.setPen(Qt::NoPen);
	painter.setBrush(QColor(255, 255, 255));


	QPolygon trianglePolygon;
	trianglePolygon << QPoint(m_startX, m_triangleHeight + SHADOW_WIDTH);
	trianglePolygon << QPoint(m_startX + m_triangleWidth / 2, SHADOW_WIDTH);
	trianglePolygon << QPoint(m_startX + m_triangleWidth, m_triangleHeight + SHADOW_WIDTH);

	QPainterPath drawPath;
	drawPath.addRoundedRect(QRect(SHADOW_WIDTH, m_triangleHeight + SHADOW_WIDTH, \
		width() - SHADOW_WIDTH * 2, height() - SHADOW_WIDTH * 2 - m_triangleHeight), \
		BORDER_RADIUS, BORDER_RADIUS);
	// Rect + Triangle;
	drawPath.addPolygon(trianglePolygon);
	painter.drawPath(drawPath);
}

void info_show::on_pushButton_CopyNum_clicked()
{
	QClipboard *clip = QApplication::clipboard();
	clip->setText(_meetingNum);

}

void info_show::on_pushButton_Copylink_clicked()
{
	QClipboard *clip = QApplication::clipboard();
	clip->setText(_shareUrl);
}
void info_show::on_pushButton_CopyNum_2_clicked()
{
	QClipboard *clip = QApplication::clipboard();
	clip->setText(_meetingNum);
}
