﻿#ifndef SHAREDIALOG_H
#define SHAREDIALOG_H

#include <QDialog>
#include <QButtonGroup>

namespace Ui {
class ShareDialog;
}

class ShareDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ShareDialog(QWidget *parent = nullptr);
    ~ShareDialog();

    enum ShareType
    {
        ShareType_Monitor,
        ShareType_Region,
    };

protected:
    void closeEvent(QCloseEvent *event) override;

signals:
    void sigShareScreen(ShareType type, const QString &monitorName);
    void sigShareDlgClosed();

public slots:
    void onBtClicked(int id);

private:
    Ui::ShareDialog *ui;
    QButtonGroup* _buttonGroup;
    int _idx = 0;
};

#endif // SHAREDIALOG_H
