QT       += core gui network webenginewidgets concurrent
#webenginewidgets webchannel

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
CONFIG -= exceptions

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES -= _UNICODE
DEFINES -= UNICODE

win32: RC_ICONS = icon.ico

QMAKE_CXXFLAGS += -fno-exceptions

#CONFIG += -fsanitize=address sanitizer sanitize_address debug
##DEFINES += QT_NO_DEBUG_OUTPUT
#QMAKE_CXXFLAGS += -g
#QMAKE_CXXFLAGS += "-fsanitize=address -fno-omit-frame-pointer"
#QMAKE_LFLAGS += -fsanitize=address

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    NemoSdkAdaptor.cpp \
    QAlerDialog.cpp \
    XYSettings.cpp \
    main.cpp \
    meeting/BaseWidget.cpp \
    meeting/CellState.cpp \
    meeting/DeviceManager.cpp \
    meeting/FrameLayout.cpp \
    meeting/MeetingLayout.cpp \
    meeting/MeetingNotifyWidget.cpp \
    meeting/MeetingStateWidget.cpp \
    meeting/MeetingWindow.cpp \
    meeting/MenuButton.cpp \
    meeting/NetWorkDataShow.cpp \
    meeting/OpenGLDisplay.cpp \
    meeting/VideoCell.cpp \
    meeting/info_show.cpp \
    meeting/info_show_2.cpp \
    meeting/sharedialog.cpp \
    meeting/shareregionwidget.cpp \
    LoginWindow.cpp \
    meeting/mettinghostwindow.cpp \
    wayland/waylandcapture.cpp

HEADERS += \
    NemoSdkAdaptor.h \
    QAlerDialog.h \
    XYSettings.h \
    meeting/BaseWidget.h \
    meeting/CellState.h \
    meeting/FrameLayout.h \
    meeting/MeetingLayout.h \
    meeting/MeetingNotifyWidget.h \
    meeting/MeetingStateWidget.h \
    meeting/MeetingWindow.h \
    meeting/MenuButton.h \
    meeting/NetWorkDataShow.h \
    meeting/OpenGLDisplay.h \
    meeting/VideoCell.h \
    meeting/devicemanager.h \
    meeting/info_show.h \
    meeting/info_show_2.h \
    meeting/sharedialog.h \
    meeting/shareregionwidget.h \
    LoginWindow.h \
    meeting/mettinghostwindow.h \
    wayland/waylandcapture.h

FORMS += \
    XYSettings.ui \
    meeting/CellState.ui \
    meeting/CompereWindow.ui \
    meeting/NetWorkDataShow.ui \
    meeting/confctrl.ui \
    meeting/detailednetworkdatashow.ui \
    meeting/devicemanager.ui \
    meeting/downloadmanagerwidget.ui \
    meeting/downloadwidget.ui \
    meeting/info_show.ui \
    meeting/info_show_2.ui \
    meeting/meetingnotifywidget.ui \
    meeting/meetingstatewidget.ui \
    meeting/meetingwindow.ui \
    meeting/menubutton.ui \
    meeting/sharedialog.ui \
    meeting/shareregionwidget.ui \
    loginwindow.ui \
    meeting/mettinghostwindow.ui

LIBS += -L/path/to/sdklibs

unix:!macx {
UNAME = $$system(uname -m)

if (contains( UNAME, aarch64 )) {
        DEFINES += __STDC_FORMAT_MACROS
        message( This looks like Linux ($$UNAME) )
        INCLUDEPATH += $$PWD/breakpad
        LIBS += -L$$PWD/breakpad/lib/linux-arm64/ -lbreakpad_client
        PRE_TARGETDEPS += $$PWD/breakpad/lib/linux-arm64/libbreakpad_client.a

        # wayalnd
        DEFINES += WAYLAND
        INCLUDEPATH += $$PWD/kwayland/include
        DEPENDPATH += $$PWD/kwayland/include
        system(chmod +x  $$PWD/kwayland/build.sh)
        system($$PWD/kwayland/build.sh $$OUT_PWD)
        message( OUT_PWD ($$OUT_PWD) )
        # kwayland 5.54.0
        LIBS += -L$$OUT_PWD -lKF5WaylandClient
} else {
        if (contains( UNAME, [xX]86_64 )) {
                DEFINES += WITH_BREAKPAD __STDC_FORMAT_MACROS
                message( This looks like Linux ($$UNAME) )
                INCLUDEPATH += $$PWD/breakpad
                LIBS += -L$$PWD/breakpad/lib/linux-x86-64/ -lbreakpad_client
                PRE_TARGETDEPS += $$PWD/breakpad/lib/linux-x86-64/libbreakpad_client.a
        } else {
                if (contains( UNAME, mips64 )) {
                        DEFINES += WITH_BREAKPAD __STDC_FORMAT_MACROS MIPS64EL
                        message( This looks like Linux ($$UNAME) )
                        INCLUDEPATH += $$PWD/breakpad
                        LIBS += -L$$PWD/breakpad/lib/linux-mips/ -lbreakpad_client
                        PRE_TARGETDEPS += $$PWD/breakpad/lib/linux-mips/libbreakpad_client.a
                } else {
                        if (contains( UNAME, loongarch64 )) {
                                DEFINES += LOONGARCH64
                                message( This looks like Linux ($$UNAME), not support breakpad )
                        }
                }
        }
}
}

IS_WAYLAND = $$system(uname -m)

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resource.qrc
